%global gitdate 20110113
%global commit 522f11a3e40670bbf85e0fada285141448167968
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           0verkill
Version:        0.16.git%{gitdate}
Release:        1%{?dist}
Summary:        Bloody hell in ASCII art
License:        GPL-2.0-or-later
Group:          Amusements/Games/Action/Other
URL:            https://github.com/hackndev/0verkill
Source0:        https://github.com/hackndev/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        %{name}.png
# PATCH-FEATURE-UPSTREAM desktop-and-appdata.patch -- https://github.com/hackndev/0verkill/pull/2
Patch0:         desktop-and-appdata.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libXpm-devel
BuildRequires:  gcc

%description
2D ASCII art deathmatch jump'n'kill'n'smile_insane.

You were born to DIE - you will enjoy your death!
Your eyes gonna BULGE with horror...
IT is the game you always wanted to die playing !!!
This game will be your worst NIGHTMARE you ever had!

For X Window support check package 0verkill-xwindow

%package xwindow
Summary:        Bloody hell in ASCII art (with X Window support)
Group:          Amusements/Games/Action/Other
Requires:       %{name} = %{version}

%description xwindow
2D ASCII art deathmatch jump'n'kill'n'smile_insane.

You were born to DIE - you will enjoy your death!
Your eyes gonna BULGE with horror...
IT is the game you always wanted to die playing !!!
This game will be your worst NIGHTMARE you ever had!

%prep
%setup -q -n %{name}-%{commit}
%patch -P0 -p1

cp %{SOURCE1} .

%build
autoreconf -fiv
export CFLAGS="${CFLAGS} -fcommon -Wno-format-security"
%configure --with-x
%make_build

%install
%make_install
rm %{buildroot}%{_datadir}/0verkill/grx/make_hero

%files
%license doc/COPYING doc/AUTHORS
%doc doc/CHANGELOG doc/FILES doc/README.html doc/VERSION
%doc doc/3d.txt doc/adding_a_level.txt doc/avi.txt doc/bot.txt doc/doc.html doc/editor.txt doc/level-changing.txt
%{_bindir}/0verkill*
%{_datadir}/0verkill
%{_datadir}/appdata/0verkill.appdata.xml

%files xwindow
%{_datadir}/applications/0verkill.desktop
%{_datadir}/pixmaps/0verkill.png
%{_bindir}/x0verkill*

%changelog
* Sat Jan 11 2025 josef radinger <cheese@nosuchhost.net> - 0.16.git20110113-1
- build for fedora, based on specfile for suse
- cleanup of specfile
- use -Wno-format-security

* Fri Mar 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed build on Factory, gcc >= 10 defaults to fno-common.

* Tue Aug 30 2016 rpm@fthiessen.de
- Update to current git version 20101114.
- Added desktop-and-appdata.patch

* Sat Mar 24 2012 jengelh@medozas.de
- strip redundant spec sections
- add autotools BuildRequires for factory/12.2

* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags

* Fri Jul 10 2009 prusnak@suse.cz
- /usr/games, /usr/share/games -> /usr/bin, /usr/share

* Sat Feb 14 2009 prusnak@suse.cz
- updated to latest git checkout (20081224)

* Wed Nov 12 2008 mhrusecky@suse.cz
- increasing version number as current git is using modified backward
  incompatible protocol
- spec file modified to respect new installation in current git
- adding desktop file
- spec file modified to somehow work on other distributions as well
- splitting package into console one and X Window one

* Sat Nov  8 2008 prusnak@suse.cz
- created package (0.16) from git checkout
